Bug 555721 - system-config-display does 'breaks' while configuring Dual Head
system-config-display does 'breaks' while configuring Dual Head
Status: CLOSED DUPLICATE of bug 511953
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-15 05:25 EST by Giray Devlet
Modified: 2010-12-01 10:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-01 10:47:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giray Devlet 2010-01-15 05:25:25 EST
Description of problem:

system-config-display does 'breaks' while configuring Dual Head

system-config-display-2.2-1.fc12.i686

How reproducible:


Steps to Reproduce:
1. start system-config-display
2. Select "Dual Head" Tab
3. Click "Use dual Head" 
    Second Monitor Type: No monitor selected
    Second Video Card: <blank>
    Resolution: <any>
    Color Depth: <any>
    Desktop layout: Individual Desktops
4. Click "OK"
  
Actual results:

  File "/usr/share/system-config-display/xConfigDialog.py", line 162, in ok
    second_monitor = self.xconfig.monitor[1]
IndexError: index out-of-bounds


Expected results:
 1. No feedback on GUI that an error occured (some exception handling would be nice)
 2. new xorg.conf file with dual head config

Additional info:
 * intel card Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
 * Dell d830
Comment 1 Bug Zapper 2010-11-03 20:55:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Farzaneh Sarafraz 2010-12-01 07:20:19 EST
This bug needs to be closed as a duplicate of #511953.
Comment 3 Matěj Cepl 2010-12-01 10:47:50 EST

*** This bug has been marked as a duplicate of bug 511953 ***

Note You need to log in before you can comment on or make changes to this bug.